Bug Hunting Session
Bug 93676 - docx: Graph export Offset and mislabelled
Summary: docx: Graph export Offset and mislabelled
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: filters and storage (show other bugs)
Version:
(earliest affected)
5.0.1.1 rc
Hardware: Other All
: medium normal
Assignee: Caolán McNamara
URL:
Whiteboard: target:5.1.0 target:4.4.6 target:5.0.3
Keywords:
Depends on:
Blocks: Matters-to-Caolan
  Show dependency treegraph
 
Reported: 2015-08-26 08:46 UTC by Dr. David Alan Gilbert
Modified: 2016-10-25 19:17 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Writer file containing a graph (284.86 KB, application/vnd.oasis.opendocument.text-flat-xml)
2015-08-26 08:46 UTC, Dr. David Alan Gilbert
Details
docx export of the same graph (16.06 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2015-08-26 08:46 UTC, Dr. David Alan Gilbert
Details
chart test file (16.33 KB, application/vnd.oasis.opendocument.spreadsheet)
2015-09-07 17:32 UTC, Markus Mohrhard
Details
screenshot of original in writer (15.96 KB, image/png)
2015-09-10 15:11 UTC, Caolán McNamara
Details
screenshot of output in word (31.53 KB, image/png)
2015-09-10 15:12 UTC, Caolán McNamara
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Dr. David Alan Gilbert 2015-08-26 08:46:25 UTC
Created attachment 118190 [details]
Writer file containing a graph

See attached;  5.0.1.1 does a much better job than the 4.4.5.2-1 (which gets it completely wrong); but it's still not quite there:

  1) The graph is offset relative to it's outer frame
  2) The caption is in a different place
  3) It's added a title at the top
  4) The X axis is formatted differently - more worryingly I think the X axis is offset by 10 units
Comment 1 Dr. David Alan Gilbert 2015-08-26 08:46:45 UTC
Created attachment 118191 [details]
docx export of the same graph
Comment 2 Commit Notification 2015-09-03 12:55:11 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=b2ad33fd5a1ee0cd9a1e657725aedc90da659f24

Related: tdf#93676 special 255 Percent Flag should not be exported to docx

It will be available in 5.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 3 Commit Notification 2015-09-03 14:26:59 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-4-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=327fb3ec1df35f2e92e3e18083f746a18201ec71&h=libreoffice-4-4

Related: tdf#93676 special 255 Percent Flag should not be exported to docx

It will be available in 4.4.6.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2015-09-04 10:05:09 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-5-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=208592500ddaabe26208503c8a06e9818a05a992&h=libreoffice-5-0

Related: tdf#93676 special 255 Percent Flag should not be exported to docx

It will be available in 5.0.3.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 5 Caolán McNamara 2015-09-07 10:23:31 UTC
not sure why this was closed, probably because a commit referencing it was pushed. That's only one part of the puzzle
Comment 6 Commit Notification 2015-09-07 13:13:21 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=10654c038c0bc20fb348be7164e08f3de98718f4

Related: tdf#93676 in msword chart appears with axis positioned between ticks

It will be available in 5.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 7 Adolfo Jayme 2015-09-07 13:39:47 UTC
@caolanm: Sorry about the premature status change!
Comment 8 Commit Notification 2015-09-07 14:42:48 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=24560df316de86cea93a37edd38e02a2f2d9c0c2

Related: tdf#93676 unwanted duplicate axis title exported

It will be available in 5.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 9 Commit Notification 2015-09-07 15:58:38 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=1ff5ecda9ccfcf3e65e90c404db93fcbbefb889e

Related: tdf#93676 msword wraps slightly differently than us

It will be available in 5.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 10 Markus Mohrhard 2015-09-07 17:32:44 UTC
Created attachment 118504 [details]
chart test file

For debugging the chart issues this file is much better. In general Calc has some additional debugging support for charts and the chart does not move around during a export-import cycle.
Comment 11 Commit Notification 2015-09-07 19:17:08 UTC
Markus Mohrhard committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=a052479f3c85bdedddfa38cb03b0858003c965c3

related tdf#93676: make the bold property explicit for run export

It will be available in 5.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 12 Commit Notification 2015-09-07 19:17:12 UTC
Markus Mohrhard committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=442eb1ab9d8c1ad970993ef6c8a49e89601b7432

related tdf#93676, we want to export all significant digits

It will be available in 5.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 13 Commit Notification 2015-09-08 00:47:59 UTC
Markus Mohrhard committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=0ff4ec7f0a44af22794c2919a13978b3af1bb0b3

Revert "Related: tdf#93676 in msword chart appears with axis positioned between ticks"

It will be available in 5.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 14 Commit Notification 2015-09-08 01:42:40 UTC
Markus Mohrhard committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=f7b8bab7f38b09aff2bce9b314492677c02a3034

related tdf#93676, add test for chart::CommonFunctors

It will be available in 5.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 15 Commit Notification 2015-09-08 01:42:44 UTC
Markus Mohrhard committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=bb5d638065590cba700ff46f5a0a1ffbe03b6f1a

related tdf#93676, also fix chart::CommonFunctors::DoubleToOUString

It will be available in 5.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 16 Commit Notification 2015-09-08 10:18:50 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=d9aed0bc2e741fa02a6ffdf90193aae7ce471e52

Related: tdf#93676 msword wraps slightly differently than us

It will be available in 5.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 17 Commit Notification 2015-09-10 02:56:46 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=694419d813c14f6135aa4463d77f72c3a24a5cc5

Related: tdf#93676 in msword chart appears with axis positioned between ticks

It will be available in 5.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 18 Commit Notification 2015-09-10 15:10:05 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=93ab0ff24cb71c36c9e7958046e96d7472b5af90

Related: tdf#93676 default to as-char inside captions

It will be available in 5.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 19 Caolán McNamara 2015-09-10 15:11:19 UTC
1 and 2 are a fundamental problem in MSWord that things inside frames can only be anchored as-character and other anchorings get smushed on export like in this case. You can change the anchoring of your existing chart by right clicking it, selecting anchor and select "as character".

I can do very little to fix that. What I *can* do however is to change our captioning to use as-character anchoring by default which will make new uses of "add caption" result in something that is word-compatible.

3 is fixed

4.1 the exact original formatting cannot be expressed in docx

4.2 in this particular case the axes can be tweaked to give the right look

5 there was incorrect indent on the last paragraph, this is also fixed now
Comment 20 Caolán McNamara 2015-09-10 15:11:55 UTC
Created attachment 118576 [details]
screenshot of original in writer
Comment 21 Caolán McNamara 2015-09-10 15:12:14 UTC
Created attachment 118577 [details]
screenshot of output in word
Comment 22 Caolán McNamara 2015-09-10 15:13:27 UTC
screenshots are post change of anchor to as-character. That's as good as I think we can do.
Comment 23 Joey Reid 2016-04-17 15:46:48 UTC
Caolán, 
The fixes for this issue break bar charts. Would it be possible to only apply them to line charts? See Bug 96662